
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>hdu 3518 Boring counting 后缀数组LCP / 憋错料</title>

    <meta name="description" content="hdu 3518 Boring counting 后缀数组LCP 题目链接 题意:给定长度为n(n &lt;= 1000)的只含小写字母的字符串,问字符串子串不重叠出现最少两次的不同子串个数; input: aaaa ababcabb aaaaaa # output 2 3 3 思路:套用后缀数组求解出sa数组和height数组,之后枚举后缀的公共前缀长度i,由于不能重叠,所以计数的是相邻height不满足LCP &gt;= i的. 写写对后缀数组倍增算法的理解: 1.如果要sa数组对应的值也是1~n就需要在最后加上一个最小的且不出现的字符'#',里面y[]是 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">hdu 3518 Boring counting 后缀数组LCP</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><a href="http://acm.hdu.edu.cn/showproblem.php?pid=3518" rel="external nofollow noreferrer">题目链接</a></p>
<p>题意:给定长度为n(n &lt;= 1000)的只含小写字母的字符串，问字符串子串不重叠出现最少两次的不同子串个数;</p>
<p>input:</p>
<p>aaaa</p>
<p>ababcabb</p>
<p>aaaaaa</p>
<p>#</p>
<p>output</p>
<p>2</p>
<p>3</p>
<p>3</p>

<p>思路:套用后缀数组求解出sa数组和height数组，之后枚举后缀的公共前缀长度i,由于不能重叠，所以计数的是相邻height不满足LCP &gt;= i的。</p>
<p>写写对后缀数组倍增算法的理解:</p>
<p>1.如果要sa数组对应的值也是1~n就需要在最后加上一个最小的且不出现的字符‘#‘，里面y[]是利用sa数组对第二个关键字重新排序，由于使用的是基数排序，所以当前一次长度为k时相同的子串，在下一次长为2*k时，y排在前面的下标得到的sa是要小的；</p>

<p>2.在getHeight函数中，rk[i]:后缀i在sa中的排名；height[i]表示s[i] 与s[i-1]的公共前缀长度。且s[i] 与 s[j] 的值为 RMQ(min{ height[i+1]...height[j] }),加上i &lt; j;同时可以借助辅助数组h[i] = height[rk[i]],得到h[i] &gt;= h[i-1] + 1;这样使用递推就可以将求解height[]的时间复杂度降为O(n);</p>

<p>注意:在输入串s末尾加入字符之后 n = strlen(s) + 1;在求解rk[]时，sa[i]是从1开始的，sa[0] = ‘$‘;之后的求解height[]还是从0开始；细节</p>

<pre>#include&lt;bits/stdc++.h&gt;
using namespace std;
typedef long long ll;
const int MAXN = 1007;
char s[MAXN];
int sa[MAXN],t[MAXN],t2[MAXN],c[MAXN],n;
void build_sa(int m,int n) // m为字符ASCII码的最大值+1;n = strlen(s) + 1;
{
    int i,*x = t, *y = t2;
    for(i = 0;i &lt; m; i++) c[i] = 0;
    for(i = 0;i &lt; n; i++) c[x[i] = s[i]]++;
    for(i = 1;i &lt; m; i++) c[i] += c[i-1];
    for(i = n - 1;i &gt;= 0; i--) sa[--c[x[i]]] = i;
    for(int k = 1;k &lt;= n;k &lt;&lt;= 1){
        int p = 0;
        for(i = n - k;i &lt; n;i++) y[p++] = i;
        for(i = 0;i &lt; n;i++) if(sa[i] &gt;= k) y[p++] = sa[i] - k;

        for(i = 0;i &lt; m;i++) c[i] = 0;
        for(i = 0;i &lt; n;i++) c[x[y[i]]]++;
        for(i = 1;i &lt; m;i++) c[i] += c[i-1];
        for(i = n - 1;i &gt;= 0;i--) sa[--c[x[y[i]]]] = y[i];

        swap(x,y);
        x[sa[0]] = 0;// 将字符彻底转变为序号;
        for(i = 1,p = 1;i &lt; n;i++)
            x[sa[i]] = y[sa[i]] == y[sa[i-1]] &amp;&amp; y[sa[i]+k] == y[sa[i-1]+k]?p-1:p++;
        if(p &gt;= n) break;
        m = p;
    }
}
int rk[MAXN],height[MAXN];
void getHeight()
{
    int i,j,k = 0;
    for(i = 1;i &lt;= n;i++) rk[sa[i]] = i; // rk[i]:后缀i在sa[]中的下标,从1开始
    for(i = 0;i &lt; n;i++){
        if(k) k--;
        if(rk[i] == 0) continue;
        j = sa[rk[i] - 1];
        while(i+k&lt;n &amp;&amp; j+k&lt;n &amp;&amp; s[i+k] == s[j+k]) k++;
        height[rk[i]] = k; // h[i] = height[rk[i]]; h[i] &gt;= h[i-1] - 1;
    }
}
int main()
{
    while(scanf("%s",s) == 1 &amp;&amp; s[0] != ‘#‘){
        ll ans = 0;
        n = strlen(s);
        s[n] = ‘#‘;
        build_sa(‘z‘+1,n+1);
        getHeight();
        for(int i = 1;i &lt;= n/2; i++){
            int l = n+1,r = -1;
            for(int j = 2;j &lt;= n;j++){
                if(height[j] &gt;= i){// 递推出最左最优的l,r;
                    r = max(r,max(sa[j],sa[j-1]));
                    l = min(l,min(sa[j],sa[j-1]));
                }
                else{
                    if(r-l &gt;= i) ans++;
                    r = -1,l = n+1;
                }
            }
            if(r-l &gt;= i) ans++;
        }
        printf("%I64d\n",ans);
    }
    return 0;
}</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 10:09:22 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>hdu 3518 Boring counting 后缀数组LCP的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MP9BOv0.html" rel="bookmark">hdu 3518 Boring counting 后缀数组 height分组</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目链接 题意 对于给定的字符串,求有多少个 不重叠的子串 出现次数 \(\geq 2\). 思路 枚举子串长度 \(len\),以此作为分界值来对 \(height\) 值进行划分. 显然,对于每一组,组内子串具有一个长度为 \(len\) 的公共前缀. 至于是否重叠,只需判断 \(sa_{max}-sa_{min}\geq len\). 对于组间,显然它们的公共前缀互不相同,所以答案即为\(\sum_{len}\sum_{group}\) Code #include &lt;bits/stdc++			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OXAlK4.html" rel="bookmark">hdu 3518 Boring counting（后缀数组）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Boring counting                                                                       Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65536/32768 K (Java/Others) Problem Description 035 now faced a tough problem,his english teacher gives him			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02w1jz3.html" rel="bookmark">后缀数组 --- HDU 3518 Boring counting</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Boring counting Problem's Link:   http://acm.hdu.edu.cn/showproblem.php?pid=3518 Mean: 给你一个字符串,让你求出有多少个子串(无重叠)至少出现了两次. analyse: 后缀数组中height数组的运用,一般这个数组用得很少. 总体思路:分组统计的思想:将相同前缀的后缀分在一个组,然后对于1到len/2的每一个固定长度进行统计ans. 首先我们先求一遍后缀数组,并把height数组求出来.height数组代表的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qQxqP3.html" rel="bookmark">HDU 3518 Boring counting（后缀数组啊 求字符串中不重叠的重复出现至少两次的子串的个数）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目链接:http://acm.hdu.edu.cn/showproblem.php?pid=3518 Problem Description 035 now faced a tough problem,his english teacher gives him a string,which consists with n lower case letter,he must figure out how many substrings appear at least twice,moreover			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWAZn63.html" rel="bookmark">&lbrack;HDU&rsqb;3518&mdash;&mdash;Boring counting</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				zhan.jiang.ou now faced a tough problem,his english teacher quan.hong.chun gives him a string,which consists with n lower case letter,he must figure out how many substrings appear at least twice,moreover,such apearances can not overlap each other.Tak			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0Y1nwv0.html" rel="bookmark">HDOJ 题目3518 Boring counting（后缀数组，求不重叠重复次数最少为2的子串种类数）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Boring counting Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65536/32768 K (Java/Others) Total Submission(s): 2253    Accepted Submission(s): 924 Problem Description 035 now faced a tough problem,his english teacher gives him a string,whic			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02krjn3.html" rel="bookmark">hdu 4691 最长公共前缀   后缀数组 &plus;lcp&plus;rmq</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://acm.hdu.edu.cn/showproblem.php?pid=4691 去年暑假多校赛的题,当时还不会后缀数组 现在会了,其实自己组合后缀数组跟rmq还是对的,但是题意理解有问题,于是折腾了很久,,,, 此处简单解释下题目样例吧,希望对读者有帮助  以最后一组数据为例 myxophytamyxopodnabnabbednabbingnabit 6 0 9 9 16 16 19 19 25 25 32 32 37 前两行不解释,题目叙述很清楚 从第三行,0 9 指的是第一个字			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rEnJ70.html" rel="bookmark">HDOJ 3518 Boring counting</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SAM基本操作 拓扑求每个节点的  最左出现left,最右出现right,出现了几次num ...... 对于每一个出现两次以上的节点,对其所对应的一串子串的长度范围 [fa-&gt;len+1,len] 和其最大间距 right-left比较 即可...... Boring counting Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65536/32768 K (Java/Others) Total Submission(s):			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0j7Oko3.html" rel="bookmark">poj 1743 最长不重叠重复子串 后缀数组&plus;lcp&plus;二分</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题比较容易读懂,但是建模需动点脑子: 一个子串加常数形成的子串认为跟子串相同,求最长不重叠重复子串 题目中说 is disjoint from (i.e., non-overlapping with) at least one of its other appearance(s) 意味着不能重叠,举个例子 1, 2,3,  52, 53,54 1,2, 3和 52, 53,54满足题意,差值为51 枚举差值肯定不行------看了题解明白的:: 后项减去前一项得到: 1,1,1,49,1,1  			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/k0eYzp0.html" rel="bookmark" class="title">Linux信号列表</a>
					<div>
						我们运行如下命令,可看到Linux支持的信号列表:~$ kill -l1) SIGHUP 2) SIGINT 3) SIGQUIT 4) SIGILL5) SIGTRAP 6) SIGABRT 7)  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/w3vgdR4.html" rel="bookmark" class="title">SQL NULL 函数</a>
					<div>
						SQL ISNULL().NVL().IFNULL() 和 COALESCE() 函数 请看下面的 &quot;Products&quot; 表: P_Id ProductName UnitPrice ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YgdlX4.html" rel="bookmark" class="title">springMVC实现增删改查&lpar;RESTful&rpar;</a>
					<div>
						一.核心原理 1. 用于发送请求给服务器: /home.htm 2. 请求被DispatchServlet拦截到 3. DispatchServlet通过HandleMapping检查url有没有对应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dxxmr0.html" rel="bookmark" class="title">重载&lpar;&rpar;运算符和重载强制类型转换</a>
					<div>
						// 研究了半宿.最终弄清楚了 // 写了这段測试代码能够非常好的演示效果 class CConvert { public: CConvert(){m_nValue = 10;} // 重载()运算符 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLDGdeM.html" rel="bookmark" class="title">Android自定义xml解析</a>
					<div>
						&lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;resources&gt; &lt;Users&gt; &lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lGW2EM.html" rel="bookmark" class="title">摘要&colon; 用户输入的文本，有可能在很多地方出现，在出现时需要作转码</a>
					<div>
						http://www.songtaste.com/user/10683356/infohttp://www.songtaste.com/user/10683367/infohttp://www.son ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35lrOn0.html" rel="bookmark" class="title">Java程序员须知的七个日志管理工具&lpar;转&rpar;</a>
					<div>
						Splunk vs. Sumo Logic vs. LogStash vs. GrayLog vs. Loggly vs. PaperTrails vs. Splunk&gt;Storm 英文原文:T ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kD1qX3.html" rel="bookmark" class="title">Oracle create tablespace 、create user and so on</a>
					<div>
						1.创建临时表空间 CREATE TEMPORARY TABLESPACE test_tempTEMPFILE 'C:\oracle\product\10.1.0\oradata\orcl\test_ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0enjzE3.html" rel="bookmark" class="title">计算2&Hat;1000&sol;2&Hat;10000的各位数和</a>
					<div>
						2^1000在各进制的表示: 2进制: 1000.....(共跟1000个0) 8进制:  2000....(共跟333个0) 16进制: 10000...(共跟250个0) 二进制转十进制的计算过程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXQLYa0.html" rel="bookmark" class="title">&lbrack;Linux小白&rsqb;双系统添加Windows引导及修改引导顺序</a>
					<div>
						一.安装NTFS-3G插件 当在Windows系统上安装了CentOS7之后发现开机系统引导项并没有Windows7选项了,这是因为Linux默认不识别NTFS格式分区,这时候就要安装ntfs-3g插 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBREDEM.html" rel="bookmark" class="title">Django入门&lpar;三&rpar; &amp;nbsp&semi; 前端模版语言</a>
					<div>
						经过前面两节的讲解,我们现在已经可以通过引入外部的样式对我们的html页面进行装饰了.但是不论我们再如何装饰,发布出来的html也只是个静态的页面.比如我们现在需要每次页面刷新的时间都在页面上展示出来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NapQV3.html" rel="bookmark" class="title">开发工具分享</a>
					<div>
						比较不好找的东西先留个名... ? 1.android全套开发环境 几乎包括4.0以后的全套sdk,系统镜像 链接:http://pan.baidu.com/s/1o6xbAQ2 密码:d9eq 解压 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGa8Zb3.html" rel="bookmark" class="title">怎么再jsp上显示一个表单</a>
					<div>
						&lt;%@ page import=&quot;java.io.*,java.util.*,java.sql.*&quot;%&gt; &lt;% request.setCharacterEncod ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lWvmBM.html" rel="bookmark" class="title">解决sdk更新时候报错 http&colon;&sol;&sol;dl-ssl&period;google&period;com&sol;android上不去，链接拒绝</a>
					<div>
						解决国内访问Google服务器的困难: 启动 Android SDK Manager : 打开主界面,依次选择「Tools」.「Options...」,弹出『Android SDK Manager - ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGaqn63.html" rel="bookmark" class="title">公众号广告新玩法：互选广告上线</a>
					<div>
						赢在移动最新资讯:微信公众号互选广告于10月20日上线,并以邀请内测方式面向广告主和流量主开放,搅动了整个自媒体圈.今天赢在移动为你带来独家消息,对&quot;互选广告&quot;出现给出第一手分析报 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDyAN70.html" rel="bookmark" class="title">内核及其组成部分</a>
					<div>
						1.1 内核的任务 在纯技术层面上,内核是硬件与软件之间的一个中间层. 其作用是将应用程序的请求传递给硬件,并充当底层驱动程序,对系统中的各个设备和组件进行寻址.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nRKaN0.html" rel="bookmark" class="title">web页面布局思想</a>
					<div>
						一.盒子模型 网页可以看成由一个个&quot;盒子&quot;组成,如图: 由上图可以看出,页面分为上(网站导航).中.下(版权声明)三个部分,中间部分又分为左(商品分类).中(主要部分).右,这些版 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Ny5ww3.html" rel="bookmark" class="title">文章05章-可视化技术（2）</a>
					<div>
						[译者:这个系列教程是以Kitware公司出版的&lt;VTK User's Guide -11th edition&gt;一书作的中文翻译(出版时间2010年,ISBN: 978-1-930934- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgY8yB3.html" rel="bookmark" class="title">linux c网络编程之函数</a>
					<div>
						1. struct protoent *protocol=getprotobyname(char *p); 功能:通过协议名获取协议类型信息 解释:p为字符串指针,指向一个协议名,如icmp,stru ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXDKdzM.html" rel="bookmark" class="title">NOIP提高组 2011</a>
					<div>
						题目描述 丽江河边有n 家很有特色的客栈,客栈按照其位置顺序从 1 到n 编号.每家客栈都按照某一种色调进行装饰(总共 k 种,用整数 0 ~ k-1 表示),且每家客栈都设有一家咖啡店,每家咖啡店均 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
